package models

import "time"

type EdbInfoResp struct {
	Ret     int    `json:"Ret"`
	Msg     string `json:"Msg"`
	ErrMsg  string `json:"ErrMsg"`
	ErrCode string `json:"ErrCode"`
	Data    struct {
		EdbInfoId        int       `json:"EdbInfoId"`
		SourceName       string    `json:"SourceName"`
		Source           int       `json:"Source"`
		EdbCode          string    `json:"EdbCode"`
		EdbName          string    `json:"EdbName"`
		EdbNameSource    string    `json:"EdbNameSource"`
		Frequency        string    `json:"Frequency"`
		Unit             string    `json:"Unit"`
		StartDate        string    `json:"StartDate"`
		EndDate          string    `json:"EndDate"`
		ClassifyId       int       `json:"ClassifyId"`
		SysUserId        int       `json:"SysUserId"`
		SysUserRealName  string    `json:"SysUserRealName"`
		UniqueCode       string    `json:"UniqueCode"`
		CreateTime       time.Time `json:"CreateTime"`
		ModifyTime       time.Time `json:"ModifyTime"`
		MinValue         int       `json:"MinValue"`
		MaxValue         int       `json:"MaxValue"`
		CalculateFormula string    `json:"CalculateFormula"`
		EdbType          int       `json:"EdbType"`
		Sort             int       `json:"Sort"`
		MoveType         int       `json:"MoveType"`
		MoveFrequency    string    `json:"MoveFrequency"`
		NoUpdate         int       `json:"NoUpdate"`
		ServerUrl        string    `json:"ServerUrl"`
		EdbInfoType      int       `json:"EdbInfoType"`
		EdbNameEn        string    `json:"EdbNameEn"`
		UnitEn           string    `json:"UnitEn"`
		LatestDate       string    `json:"LatestDate"`
		LatestValue      int       `json:"LatestValue"`
		ChartImage       string    `json:"ChartImage"`
		Calendar         string    `json:"Calendar"`
		DataDateType     string    `json:"DataDateType"`
	} `json:"Data"`
	Success bool `json:"Success"`
}
